For the complete documentation index, see llms.txt. This page is also available as Markdown.

Api Keys

List API keys

get

Returns all API keys for the authenticated profile.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
addressstringRequired
createdAtstringRequired
expiresAtstringRequired
idstringRequired
lastUsedAtstring · nullableRequired
namestringRequired
profileIdnumberRequired
get/api-keys
GET /api/v2/api-keys HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "address": "text",
    "createdAt": "text",
    "expiresAt": "text",
    "id": "text",
    "lastUsedAt": "text",
    "name": "text",
    "profileId": 1
  }
]

Create API key

post

Authenticates via SIWE signature and creates an API key for the associated profile.

Body
addressstringRequired

Ethereum address (0x-prefixed, 20 bytes)

expiresAtstring · date-timeOptionalPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
messagestring · min: 1Required
namestring · min: 1 · max: 100Required
signaturestringRequired

65-byte ECDSA signature (0x-prefixed hex, 132 chars)

Responses
200

Successful response

application/json
expiresAtstring · date-timeRequiredPattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
idstringRequired
namestringRequired
tokenstringRequired
post/api-keys
POST /api/v2/api-keys HTTP/1.1
Host: api.ethos.network
Content-Type: application/json
Accept: */*
Content-Length: 107

{
  "address": "text",
  "expiresAt": "2026-01-01T00:00:00.000Z",
  "message": "text",
  "name": "text",
  "signature": "text"
}
{
  "expiresAt": "2026-01-01T00:00:00.000Z",
  "id": "text",
  "name": "text",
  "token": "text"
}

Revoke API key

delete

Revokes an API key. Only the key owner can revoke it.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

Successful response

application/json
okconst: Required
delete/api-keys/{id}
DELETE /api/v2/api-keys/{id} HTTP/1.1
Host: api.ethos.network
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "ok": true
}

Last updated